Accept tenant invitation
Accept invitation to a tenant
put/account/invite
Authorizations
AuthorizationstringRequired
Token received from the auth service
Body
Accept an invitation
inviteTokenstringRequired
Responses
200
Tenant user respose
application/json
accountTypestring · enumRequired
Possible values:
| ENUM | Description |
|---|---|
| FULL | Access to backoffice and onboarding of new devices |
| REGULAR | Can only login to already onboarded devices |
| SUPPORT | Support account |
| INTEGRATION | Computer integration account |
createdAtstring · date-timeRequired
defaultStoreUidstringOptionalPattern:
^[A-Za-z0-9-_]*displayNamestringRequired
emailstringRequired
externalIdstringRequired
firstnamestringRequired
lastAccessedstring · date-timeRequired
lastModifiedAtstring · date-timeRequired
lastnamestringRequired
mobilestringRequired
statusstring · enumRequiredPossible values:
tenantUidstringRequiredPattern:
^[A-Za-z0-9-_]+tenantNamestringRequired
tenantRolestring · enumRequired
Possible values:
| ENUM | Description |
|---|---|
| BLOCKED | Blocked from this tenant |
| ACCESS | Only access to the tenant. |
| ADMIN | Tenant admin, allow full access to tenant and can add users and new stores. |
| BACKOFFICE | Access to product, pricelists, etc. |
tenantUserUidstringRequiredPattern:
^[A-Za-z0-9-_]+userCodestringRequired
languageCodestringRequired
ISO 639-1 code for language
put/account/invite
PUT /v2/account/invite HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 22
{
"inviteToken": "text"
}200
Tenant user respose
{
"accountType": "FULL",
"createdAt": "2026-01-01T00:00:00.000Z",
"defaultStoreUid": "text",
"displayName": "text",
"email": "text",
"externalId": "text",
"firstname": "text",
"lastAccessed": "2026-01-01T00:00:00.000Z",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastname": "text",
"mobile": "text",
"status": "PENDING_INVITE",
"storeAccess": [
{
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"storeAccessUid": "text",
"storeUid": "text",
"storeRole": "ADMIN"
}
],
"tenantUid": "text",
"tenantName": "text",
"tenantRole": "ACCESS",
"tenantUserUid": "text",
"userCode": "text",
"languageCode": "text",
"permissions": {
"tenant": [
"text"
],
"stores": [
{
"store": {
"name": "text",
"storeUid": "text",
"organizationUid": "text",
"organizationName": "text"
},
"permissions": [
"text"
]
}
],
"organizations": [
{
"organization": {
"name": "text",
"organizationUid": "text"
},
"permissions": [
"text"
]
}
]
}
}Last updated
Was this helpful?

